There is no validator defined for dynamic param period
ERROR:  duplicate key value violates unique constraint "index_redir_stats_code_date" CONTEXT:  SQL statement "INSERT INTO redir_stats (pageviews, code, date) VALUES ( $1 ,  $2 ,  $3 ::timestamp)" PL/pgSQL function "update_or_insert_pageviews" line 26 at SQL statement
